| The Gaudi Framework v32r1 (f65d50dc)

Public Types | Public Member Functions | Private Attributes | List of all members
EventCollectionContext Class Reference
Inheritance diagram for EventCollectionContext:
[legend]
Collaboration diagram for EventCollectionContext:
[legend]

## Public Types
typedef std::list< std::string > | ListName

## Public Member Functions
| EventCollectionContext (const EventCollectionSelector *pSelector)
| Standard constructor. More...
| ~EventCollectionContext () override
| Standard destructor. More...
const std::string & | currentInput () const
void | setCurrentInput (const std::string &v)
ListName & | files ()
void * | identifier () const override
void | setCriteria (const std::string &crit)
ListName::const_iterator | fileIterator ()
void | setFileIterator (ListName::const_iterator new_iter)
Public Member Functions inherited from IEvtSelector::Context
virtual | ~Context ()=default

## Private Attributes
GenericAddress * | m_pAddressBuffer = nullptr
const EventCollectionSelector * | m_pSelector = nullptr
ListName | m_files
std::string | m_criteria
ListName::const_iterator | m_fileIterator
std::string | m_currentInput

## Detailed Description

Author
  M.Frank

Version
  1.0

Definition at line 25 of file EventCollectionSelector.cpp.

## Member Typedef Documentation

## ◆ ListName

typedef std::list<std::string> EventCollectionContext::ListName

Definition at line 27 of file EventCollectionSelector.cpp.

## Constructor & Destructor Documentation

## ◆ EventCollectionContext()

EventCollectionContext::EventCollectionContext | ( | const EventCollectionSelector * | pSelector | ) |

Standard constructor.

Definition at line 53 of file EventCollectionSelector.cpp.

53 : m_pSelector( pSelector ) {
54 m_pAddressBuffer = new GenericAddress();
55 m_pAddressBuffer->addRef();
56 }
GenericAddress::addRef
unsigned long addRef() override
Add reference to object.
Definition: GenericAddress.h:57
GenericAddress
Generic Transient Address.
Definition: GenericAddress.h:20
EventCollectionContext::m_pAddressBuffer
GenericAddress * m_pAddressBuffer
Definition: EventCollectionSelector.cpp:30
EventCollectionContext::m_pSelector
const EventCollectionSelector * m_pSelector
Definition: EventCollectionSelector.cpp:31

## ◆ ~EventCollectionContext()

EventCollectionContext::~EventCollectionContext | ( |  | ) |
| override

Standard destructor.

Definition at line 51 of file EventCollectionSelector.cpp.

51 { m_pAddressBuffer->release(); }
GenericAddress::release
unsigned long release() override
release reference to object
Definition: GenericAddress.h:59
EventCollectionContext::m_pAddressBuffer
GenericAddress * m_pAddressBuffer
Definition: EventCollectionSelector.cpp:30

## Member Function Documentation

## ◆ currentInput()

const std::string& EventCollectionContext::currentInput | ( |  | ) | const
| inline

Definition at line 42 of file EventCollectionSelector.cpp.

42 { return m_currentInput; }
EventCollectionContext::m_currentInput
std::string m_currentInput
Definition: EventCollectionSelector.cpp:35

## ◆ fileIterator()

ListName::const_iterator EventCollectionContext::fileIterator | ( |  | ) |
| inline

Definition at line 47 of file EventCollectionSelector.cpp.

47 { return m_fileIterator; }
EventCollectionContext::m_fileIterator
ListName::const_iterator m_fileIterator
Definition: EventCollectionSelector.cpp:34

## ◆ files()

ListName& EventCollectionContext::files | ( |  | ) |
| inline

Definition at line 44 of file EventCollectionSelector.cpp.

44 { return m_files; }
EventCollectionContext::m_files
ListName m_files
Definition: EventCollectionSelector.cpp:32

## ◆ identifier()

void* EventCollectionContext::identifier | ( |  | ) | const
| inline override virtual

Implements IEvtSelector::Context.

Definition at line 45 of file EventCollectionSelector.cpp.

45 { return (void*)m_pSelector; }
EventCollectionContext::m_pSelector
const EventCollectionSelector * m_pSelector
Definition: EventCollectionSelector.cpp:31

## ◆ setCriteria()

void EventCollectionContext::setCriteria | ( | const std::string & | crit | ) |
| inline

Definition at line 46 of file EventCollectionSelector.cpp.

46 { m_criteria = crit; }
EventCollectionContext::m_criteria
std::string m_criteria
Definition: EventCollectionSelector.cpp:33

## ◆ setCurrentInput()

void EventCollectionContext::setCurrentInput | ( | const std::string & | v | ) |
| inline

Definition at line 43 of file EventCollectionSelector.cpp.

43 { m_currentInput = v; }
EventCollectionContext::m_currentInput
std::string m_currentInput
Definition: EventCollectionSelector.cpp:35

## ◆ setFileIterator()

void EventCollectionContext::setFileIterator | ( | ListName::const_iterator | new_iter | ) |
| inline

Definition at line 48 of file EventCollectionSelector.cpp.

48 { m_fileIterator = new_iter; }
EventCollectionContext::m_fileIterator
ListName::const_iterator m_fileIterator
Definition: EventCollectionSelector.cpp:34

## Member Data Documentation

## ◆ m_criteria

std::string EventCollectionContext::m_criteria
| private

Definition at line 33 of file EventCollectionSelector.cpp.

## ◆ m_currentInput

std::string EventCollectionContext::m_currentInput
| private

Definition at line 35 of file EventCollectionSelector.cpp.

## ◆ m_fileIterator

ListName::const_iterator EventCollectionContext::m_fileIterator
| private

Definition at line 34 of file EventCollectionSelector.cpp.

## ◆ m_files

ListName EventCollectionContext::m_files
| private

Definition at line 32 of file EventCollectionSelector.cpp.

## ◆ m_pAddressBuffer

GenericAddress* EventCollectionContext::m_pAddressBuffer = nullptr
| private

Definition at line 30 of file EventCollectionSelector.cpp.

## ◆ m_pSelector

const EventCollectionSelector* EventCollectionContext::m_pSelector = nullptr
| private

Definition at line 31 of file EventCollectionSelector.cpp.

The documentation for this class was generated from the following file:

- GaudiCoreSvc/src/EventSelector/EventCollectionSelector.cpp